Skip to main content
PUT
/
api
/
v2
/
events
/
{event_id}
Update Event
curl --request PUT \
  --url https://your-tenant.bloodhoundenterprise.io/api/v2/events/{event_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "rrule": "<string>",
  "session_collection": true,
  "local_group_collection": true,
  "ad_structure_collection": true,
  "cert_services_collection": true,
  "ca_registry_collection": true,
  "dc_registry_collection": true,
  "all_trusted_domains": true,
  "ous": [
    "<string>"
  ],
  "domains": [
    "<string>"
  ]
}
'
import requests

url = "https://your-tenant.bloodhoundenterprise.io/api/v2/events/{event_id}"

payload = {
"rrule": "<string>",
"session_collection": True,
"local_group_collection": True,
"ad_structure_collection": True,
"cert_services_collection": True,
"ca_registry_collection": True,
"dc_registry_collection": True,
"all_trusted_domains": True,
"ous": ["<string>"],
"domains": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rrule: '<string>',
session_collection: true,
local_group_collection: true,
ad_structure_collection: true,
cert_services_collection: true,
ca_registry_collection: true,
dc_registry_collection: true,
all_trusted_domains: true,
ous: ['<string>'],
domains: ['<string>']
})
};

fetch('https://your-tenant.bloodhoundenterprise.io/api/v2/events/{event_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": 123,
    "client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "rrule": "<string>",
    "session_collection": true,
    "local_group_collection": true,
    "ad_structure_collection": true,
    "cert_services_collection": true,
    "ca_registry_collection": true,
    "dc_registry_collection": true,
    "all_trusted_domains": true,
    "ous": [
      {
        "objectid": "<string>",
        "name": "<string>",
        "exists": true,
        "distinguishedname": "<string>",
        "type": "<string>"
      }
    ],
    "domains": [
      {
        "objectid": "<string>",
        "name": "<string>",
        "exists": true,
        "type": "<string>"
      }
    ]
  }
}
{
"http_status": 400,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "The JSON payload could not be unmarshalled."
}
]
}
{
"http_status": 401,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "login",
"message": "Unauthorized"
}
]
}
{
"http_status": 403,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "You do not have permission to access this resource"
}
]
}
{
"http_status": 404,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "The requested client could not be found."
}
]
}
{
"http_status": 500,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "The request could not be handled due to an unexpected database error."
}
]
}
Applies to BloodHound Enterprise only

Authorizations

Authorization
string
header
required

Authorization: Bearer $JWT_TOKEN

Headers

Prefer
string
default:wait=30

Prefer header, used to specify a custom timeout in seconds using the wait parameter as per RFC7240. Passing in wait=-1 bypasses all timeout limits when the feature is enabled.

Pattern: ^wait=(-1|[0-9]+)$

Path Parameters

event_id
integer<int32>
required

Event ID

Body

application/json

The request body for updating an event

rrule
string
session_collection
boolean
local_group_collection
boolean
ad_structure_collection
boolean
cert_services_collection
boolean
ca_registry_collection
boolean
dc_registry_collection
boolean
all_trusted_domains
boolean
ous
string[]
domains
string[]

Response

OK

data
object